function tri_area = triangle_area(nod,tri);
% area of triangles determined by nodes nod
% and triangles tri
% 30.06.03 by Vita
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n = length(tri);  
tri_area = zeros(n,1);
for ctr = 1:n
  x1 = nod(tri(ctr,1),1); y1 = nod(tri(ctr,1),2);  
  x2 = nod(tri(ctr,2),1); y2 = nod(tri(ctr,2),2);  
  x3 = nod(tri(ctr,3),1); y3 = nod(tri(ctr,3),2); 
  
  % the area is given as 0.5*|cross_product(q1,q2)|    
  % q1, q2: vectors of the edges
  D = abs((x3-x2)*(y1-y3)-(y3-y2)*(x1-x3))/2;
  
  tri_area(ctr) = D;
end
  